classification
Title: Several traceback docs improvements
Type: enhancement Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, iritkatriel, techtonik
Priority: normal Keywords:

Created on 2012-03-21 11:06 by techtonik, last changed 2020-11-04 19:22 by iritkatriel. This issue is now closed.

Messages (3)
msg156486 - (view) Author: anatoly techtonik (techtonik) Date: 2012-03-21 11:06
Some notes about current `traceback` documentation:
http://docs.python.org/library/traceback.html

1. It needs a mentioning that traceback module works with traceback objects and frame objects

2. Functions that work with frames should probably be grouped together

3. Docs for frame function should include info about where to get frames (e.g. 
http://docs.python.org/library/inspect.html#the-interpreter-stack)

4. There is no traceback object description, which should be at http://docs.python.org/library/sys.html#sys.exc_info
msg223055 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-14 20:28
As nobody has even commented on this, let alone proposed a patch, I'd be inclined to close as "won't fix" or "out of date".
msg380350 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-11-04 19:22
Closing this issue is out of date. Most if not all of the points mentioned have been resolved by now, and there is also a section on traceback objects [1] which is linked from the exc_info doc [2].

[1] https://docs.python.org/3/reference/datamodel.html#traceback-objects
[2] https://docs.python.org/3/library/sys.html#sys.exc_info
History
Date User Action Args
2020-11-04 19:22:07iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg380350

resolution: out of date
stage: resolved
2019-04-26 19:32:01BreamoreBoysetnosy: - BreamoreBoy
2014-07-14 20:28:00BreamoreBoysetnosy: + BreamoreBoy
messages: + msg223055
2012-03-26 10:34:31r.david.murraysettype: enhancement
2012-03-21 11:06:46techtonikcreate